%global packname  Rcmdr
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.8_3
Release:          1
Summary:          R Commander
Group:            Sciences/Mathematics
License:          GPL (>= 2)
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_1.8-3.tar.gz
Requires:         R-tcltk R-grDevices R-utils R-car 
Requires:         R-abind R-aplpack R-colorspace R-effects R-e1071 R-foreign R-grid R-Hmisc R-lattice R-leaps R-lmtest R-MASS R-mgcv R-multcomp R-nlme R-nnet R-relimp R-rgl R-RODBC R-sem 
BuildRequires:    R-devel Rmath-devel texlive-collection-latex R-tcltk R-grDevices R-utils R-car
BuildRequires:    R-abind R-aplpack R-colorspace R-effects R-e1071 R-foreign R-grid R-Hmisc R-lattice R-leaps R-lmtest R-MASS R-mgcv R-multcomp R-nlme R-nnet R-relimp R-rgl R-RODBC R-sem 

%description
A platform-independent basic-statistics GUI (graphical user interface) for
R, based on the tcltk package.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
if [ x$DISPLAY != x ];	then %{_bindir}/R CMD check %{packname}
else			true
fi

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CHANGES
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/etc
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/po


%changelog
* Mon Feb 20 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.8_3-1
+ Revision: 777596
- Rebuild with R2spec
- Rebuild with R2spec

* Tue Dec 29 2009 Jérôme Brenier <incubusss@mandriva.org> 1.5.4-2mdv2010.1
+ Revision: 483538
- add some Requires / Suggests to avoid an error message at startup

* Mon Dec 28 2009 Jérôme Brenier <incubusss@mandriva.org> 1.5.4-1mdv2010.1
+ Revision: 483167
- new version 1.5.4

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 1.4.0-5mdv2010.0
+ Revision: 433085
- rebuild

* Sun Aug 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-4mdv2009.0
+ Revision: 270298
- update to new version 1.4-0

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.3.12-4mdv2009.0
+ Revision: 260178
- rebuild
- rebuild

* Thu Feb 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.12-1mdv2008.1
+ Revision: 167220
- better build way
- new name
- complete the spec file
- use hack for versioning
- complete spec file
- Created package structure for rcmdr.

